# @private
class kernel::config {
  assert_private()

  if $kernel::kernel_version {
    $current  = $facts['kernelrelease']

    if $current != $kernel::kernel_version {
      notify { 'kernel':
        message => "A reboot is required to change the running kernel from ${current} to ${kernel::kernel_version}",
      }
    }
  }
}
