# puppet-module-kernel

[![Puppet Forge](http://img.shields.io/puppetforge/v/treydock/kernel.svg)](https://forge.puppetlabs.com/treydock/kernel)
[![CI Status](https://github.com/treydock/puppet-module-kernel/workflows/CI/badge.svg?branch=master)](https://github.com/treydock/puppet-module-kernel/actions?query=workflow%3ACI)


####Table of Contents

1. [Overview](#overview)
2. [Usage - Configuration options](#usage)
3. [Reference - Parameter and detailed reference to all options](#reference)

## Overview

The kernel Puppet module allows for managing the kernel packages and the default GRUB2 kernel.

## Usage

### kernel

The default behavior of this module is to ensure the kernel package is present.

    class { 'kernel': }

This is an example of ensuring a specific version of the kernel is installed and set as the default in GRUB2.

    class { 'kernel'
      version => '4.18.0-513.24.1.el8_9'
    }

## Reference

[http://treydock.github.io/puppet-module-kernel/](http://treydock.github.io/puppet-module-kernel/)
